<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Monster Slayer</h1>
    </header>
    <div id="game">
      <section id="monster" class="container">
        <h2>Monster Health</h2>
        <div class="healthbar" :style="{width:monsterhealth +'%'}">
          <div class="healthbar__value"></div>
        </div>
      </section>
      <section id="player" class="container">
        <h2>Your Health</h2>
        <div class="healthbar"  :style="{width:userhealth +'%'}">
          <div class="healthbar__value"></div>
        </div>
      </section>
      <section id="controls">
        <button @click="commonattack()">ATTACK</button>
        <button @click="specialattack()">SPECIAL ATTACK</button>
        <button @click=" Heal()">HEAL</button>
        <button @click="giveup()" id='myImage'>SURRENDER</button>
      </section>
      <section id="log" class="container">
        <h2>Battle Log</h2>
        <ul>
          <li>you hit monster{{ monsterhealth}}
              monster hit you{{userhealth}}
          </li>
        </ul>
      </section>
    </div>
  </body>
</html>
